gir1.2-gst-plugins-base-1.0_1.8.0-1ubuntu1_i386.deb


Advertisement

Description

gir1.2-gst-plugins-base-1.0 - Description: GObject introspection data for the GStreamer Plugins Base library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main i386
Package filename gir1.2-gst-plugins-base-1.0_1.8.0-1ubuntu1_i386.deb
Package name gir1.2-gst-plugins-base-1.0
Package version 1.8.0
Package release 1ubuntu1
Package architecture i386
Package type deb
Category introspection
Homepage http://gstreamer.freedesktop.org/modules/gst-plugins-base.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 61.82 KB
Installed size 351.00 KB
This package contains introspection data for the GStreamer Plugins Base library.
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.  Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.
It can be used by packages using the GIRepository format to generate
dynamic bindings.

Alternatives

Package Version Architecture Repository
gir1.2-gst-plugins-base-1.0_1.8.3-1ubuntu0.3_i386.deb 1.8.3 i386 Ubuntu Updates Main
gir1.2-gst-plugins-base-1.0_1.8.3-1ubuntu0.3_amd64.deb 1.8.3 amd64 Ubuntu Updates Main
gir1.2-gst-plugins-base-1.0_1.8.0-1ubuntu1_amd64.deb 1.8.0 amd64 Ubuntu Main
gir1.2-gst-plugins-base-1.0 - - -

Requires

Name Value
gir1.2-glib-2.0 -
gir1.2-gstreamer-1.0 -
libgstreamer-plugins-base1.0-0 >= 1.8.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gir1.2-gst-plugins-base-1.0_1.8.0-1ubuntu1_i386.deb
Source Package gst-plugins-base1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gir1.2-gst-plugins-base-1.0 deb package:
    # sudo apt-get install gir1.2-gst-plugins-base-1.0

Files

Path
/usr/lib/girepository-1.0/GstAllocators-1.0.typelib
/usr/lib/girepository-1.0/GstApp-1.0.typelib
/usr/lib/girepository-1.0/GstAudio-1.0.typelib
/usr/lib/girepository-1.0/GstFft-1.0.typelib
/usr/lib/girepository-1.0/GstPbutils-1.0.typelib
/usr/lib/girepository-1.0/GstRtp-1.0.typelib
/usr/lib/girepository-1.0/GstRtsp-1.0.typelib
/usr/lib/girepository-1.0/GstSdp-1.0.typelib
/usr/lib/girepository-1.0/GstTag-1.0.typelib
/usr/lib/girepository-1.0/GstVideo-1.0.typelib
/usr/share/doc/gir1.2-gst-plugins-base-1.0/AUTHORS
/usr/share/doc/gir1.2-gst-plugins-base-1.0/NEWS.gz
/usr/share/doc/gir1.2-gst-plugins-base-1.0/README.Debian
/usr/share/doc/gir1.2-gst-plugins-base-1.0/README.gz
/usr/share/doc/gir1.2-gst-plugins-base-1.0/changelog.Debian.gz
/usr/share/doc/gir1.2-gst-plugins-base-1.0/copyright

Changelog

2016-03-25 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.8.0-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-03-24 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.8.0-1) unstable; urgency=medium
* New upstream stable release:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.8.0.
2016-03-17 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.91-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-03-15 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.91-1) experimental; urgency=medium
* New upstream release candidate:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.7.91.
+ debian/libgstreamer-plugins-base.symbols:
- Update new symbols.
2016-03-03 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.90-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-03-01 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.90-1) experimental; urgency=medium
* New upstream release candidate:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.7.90.
+ debian/build-deps.in,
debian/control.in,
debian/gstreamer-plugins-base.install:
- Add Opus plugin and add Breaks/Replaces for gst-plugins-bad.
2016-02-22 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.2-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
2016-02-19 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.2-1) experimental; urgency=medium
* New upstream unstable release:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GStreamer >= 1.7.2.
+ debian/libgstreamer-plugins-base.symbols:
- Update for new symbols.
+ debian/control.in:
- Add Breaks for gstreamer1.0-plugins-bad << 1.7.1 because
of GstAudioVisualizer moved from a plugin to a library here.
2016-01-11 - Iain Lane <iain.lane@canonical.com>
gst-plugins-base1.0 (1.7.1-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable. Remaining changes:
+ 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
GstCaps containing the suggested buffer size for this stream.
+ Update Vcs-* for Ubuntu
* debian/patches/0001-playbin-Use-the-caps-query-instead-of-accept-caps-to.patch:
Cherry-pick patch from upstream to fix totem.
2015-12-24 - Sebastian Dröge <slomo@debian.org>
gst-plugins-base1.0 (1.7.1-1) experimental; urgency=medium
* New upstream unstable release:
+ debian/build-deps.in,
debian/rules:
- Build-depend on GLib >= 2.40 and GStreamer >= 1.7.1.
+ debian/libgstreamer-plugins-base.symbols:
- Update for new symbols.

See Also

Package Description
gir1.2-gstreamer-1.0_1.8.0-1_i386.deb Description: GObject introspection data for the GStreamer library
gir1.2-gtk-2.0_2.24.30-1ubuntu1_i386.deb GTK+ graphical user interface library -- gir bindings
gir1.2-gtk-3.0_3.18.9-1ubuntu3_i386.deb GTK+ graphical user interface library -- gir bindings
gir1.2-gtkclutter-1.0_1.6.6-1_i386.deb GObject introspection data for the GTK+ Clutter library
gir1.2-gtksource-3.0_3.18.2-1_i386.deb gir files for the GTK+ syntax highlighting widget
gir1.2-gtkspell3-3.0_3.0.7-2_i386.deb GObject introspection data for the GtkSpell library
gir1.2-gtop-2.0_2.32.0-1_i386.deb gtop system monitoring library (gir bindings)
gir1.2-gucharmap-2.90_3.18.2-1ubuntu1_i386.deb GObject introspection data for the Unicode browser widget library
gir1.2-gudev-1.0_230-2_i386.deb libgudev-1.0 introspection data
gir1.2-gusb-1.0_0.2.9-0ubuntu1_i386.deb GObject introspection data for libgusb
gir1.2-gweather-3.0_3.18.1-1ubuntu1_i386.deb GObject introspection data for the GWeather library
gir1.2-gxps-0.1_0.2.3.2-1_i386.deb GObject introspection data for the gxps library
gir1.2-harfbuzz-0.0_1.0.1-1build2_i386.deb OpenType text shaping engine (GObject introspection data)
gir1.2-hud-2_14.10+16.04.20160415-0ubuntu1_i386.deb typelib file for libhud2
gir1.2-hud-client-2_14.10+16.04.20160415-0ubuntu1_i386.deb typelib file for libhud-client-2
Advertisement
Advertisement